﻿Imports System.Windows.Controls.Primitives
Imports System.Reflection

Class MainWindow

    Public Sub New()
        InitializeComponent()

        ContentControlMain.Content = New ContetObentoOrder()

        Dim mainAssembly As Assembly = Assembly.GetEntryAssembly()
        Dim mainAssemName As AssemblyName = mainAssembly.GetName()
        Me.Title = String.Format("{0} {1}", Me.Title, mainAssemName.Version.ToString())

    End Sub

    Private Sub Menu_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles MenuUserList.Checked, MenuUserEntry.Checked, MenuObentoList.Checked, MenuObentoEntry.Checked, MenuOrderList.Checked, MenuObentoOrder.Checked
        If ContentControlMain IsNot Nothing Then
            SwitchContent(DirectCast(sender, ToggleButton).Name)
        End If
    End Sub

    Private Sub SwitchContent(ByVal senderName As String)
        If senderName <> "MenuObentoOrder" Then
            MenuObentoOrder.IsChecked = False
        End If
        If senderName <> "MenuOrderList" Then
            MenuOrderList.IsChecked = False
        End If
        If senderName <> "MenuObentoEntry" Then
            MenuObentoEntry.IsChecked = False
        End If
        If senderName <> "MenuObentoList" Then
            MenuObentoList.IsChecked = False
        End If
        If senderName <> "MenuUserEntry" Then
            MenuUserEntry.IsChecked = False
        End If
        If senderName <> "MenuUserList" Then
            MenuUserList.IsChecked = False
        End If

        Select Case senderName
            Case "MenuObentoOrder"
                ContentControlMain.Content = New ContetObentoOrder()
                ChangeRibbonTabVisibility(senderName)
                Exit Select
            Case "MenuOrderList"
                ContentControlMain.Content = New ContetOrderList()
                ChangeRibbonTabVisibility(senderName)
                Exit Select
            Case "MenuObentoEntry"
                ContentControlMain.Content = New ContetObentoEntry()
                ChangeRibbonTabVisibility(senderName)
                Exit Select
            Case "MenuObentoList"
                ContentControlMain.Content = New ContetObentoList()
                ChangeRibbonTabVisibility(senderName)
                Exit Select
            Case "MenuUserEntry"
                ContentControlMain.Content = New ContetUserEntry()
                ChangeRibbonTabVisibility(senderName)
                Exit Select
            Case "MenuUserList"
                ContentControlMain.Content = New ContetUserList()
                ChangeRibbonTabVisibility(senderName)
                Exit Select
        End Select
    End Sub

    Private Sub ChangeRibbonTabVisibility(ByVal senderName As String)
        If senderName = "MenuObentoOrder" Then
            TabObentoOrder.Visibility = Visibility.Visible
        End If
        If senderName = "MenuOrderList" Then
            TabOrderList.Visibility = Visibility.Visible
        End If
        If senderName = "MenuObentoEntry" Then
            TabObentoEntry.Visibility = Visibility.Visible
        End If
        If senderName = "MenuObentoList" Then
            TabObentoList.Visibility = Visibility.Visible
        End If
        If senderName = "MenuUserEntry" Then
            TabUserEntry.Visibility = Visibility.Visible
        End If
        If senderName = "MenuUserList" Then
            TabUserList.Visibility = Visibility.Visible
        End If

        If senderName <> "MenuObentoOrder" Then
            TabObentoOrder.Visibility = Visibility.Hidden
        End If
        If senderName <> "MenuOrderList" Then
            TabOrderList.Visibility = Visibility.Hidden
        End If
        If senderName <> "MenuObentoEntry" Then
            TabObentoEntry.Visibility = Visibility.Hidden
        End If
        If senderName <> "MenuObentoList" Then
            TabObentoList.Visibility = Visibility.Hidden
        End If
        If senderName <> "MenuUserEntry" Then
            TabUserEntry.Visibility = Visibility.Hidden
        End If
        If senderName <> "MenuUserList" Then
            TabUserList.Visibility = Visibility.Hidden
        End If
    End Sub

    Private Sub Menu_Unchecked(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles MenuUserList.Unchecked, MenuUserEntry.Unchecked, MenuObentoList.Unchecked, MenuObentoEntry.Unchecked, MenuOrderList.Checked, MenuObentoOrder.Unchecked
        If ContentControlMain IsNot Nothing Then
            If (MenuObentoOrder.IsChecked = False) AndAlso
                (MenuOrderList.IsChecked = False) AndAlso
                (MenuObentoEntry.IsChecked = False) AndAlso
                (MenuObentoList.IsChecked = False) AndAlso
                (MenuUserEntry.IsChecked = False) AndAlso
                (MenuUserList.IsChecked = False) Then
                DirectCast(sender, ToggleButton).IsChecked = True
            End If
        End If
    End Sub

End Class
